<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.casic.missiles.mapper.business.BusinessSiteExecutiveEquipmentRelationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.casic.missiles.model.business.BusinessSiteExecutiveEquipmentRelation">
        <id column="id" property="id" />
        <result column="site_executive_id" property="siteExecutiveId" />
        <result column="equipment_id" property="equipmentId" />
        <result column="equipment_no" property="equipmentNo" />
        <result column="equipment_model" property="equipmentModel" />
        <result column="before_work_check" property="beforeWorkCheck" />
        <result column="before_work_result" property="beforeWorkResult" />
        <result column="before_work_recorder_id" property="beforeWorkRecorderId" />
        <result column="before_work_recorder_date" property="beforeWorkRecorderDate" />
        <result column="after_work_check" property="afterWorkCheck" />
        <result column="after_work_result" property="afterWorkResult" />
        <result column="after_work_recorder_id" property="afterWorkRecorderId" />
        <result column="after_work_recorder_date" property="afterWorkRecorderDate" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, site_executive_id, equipment_id, equipment_no, equipment_model, before_work_check, before_work_result, before_work_recorder_id, before_work_recorder_date, after_work_check, after_work_result, after_work_recorder_id, after_work_recorder_date, create_time, update_time
    </sql>

</mapper>
